/*
 *    Copyright 2010 The maven-migrate-plugin Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.googlecode.mvnmigrate;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.apache.ibatis.migration.Change;
import org.apache.ibatis.migration.commands.DownCommand;
import org.apache.ibatis.migration.commands.StatusCommand;

/**
 * Extended {@link StatusCommand} class.
 *
 * Used for retrieve information about migration status.
 *
 * @version $Id: MigrationDownCommand.java 151 2010-07-23 16:25:10Z marco.speranza79 $
 */
public class MigrationDownCommand extends DownCommand {

    /**
     * Extended Apache iBatis {@link StatusCommand}.
     *
     *
     * @param repository the ibatis migration repository path.
     * @param environment the string that represents the enviroment.
     * @param true to force the sql script exeution in case of error.
     */
    public MigrationDownCommand(File repository, String environment,
            boolean force) {
        super(repository, environment, force);
    }


    @Override
    protected List<Change> getChangelog() {
        return super.getChangelog();
    }

    @Override
    protected int getStepCountParameter(int defaultSteps, String... params) {
        return super.getStepCountParameter(defaultSteps, params);
    }
}
