/*
 *    Copyright 2010 The maven-migrate-plugin Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.googlecode.mvnmigrate;

import org.apache.ibatis.migration.commands.VersionCommand;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

/**
 * Goal which execute the ibatis migration version command.
 *
 * @version $Id: VersionCommandMojo.java 154 2010-07-24 12:52:25Z marco.speranza79 $
 * @goal version
 */
public class VersionCommandMojo extends AbstractCommandMojo<VersionCommand> {

    /**
     * Version string.
     *
     * @parameter expression="${migration.version}"
     * @required
     */
    protected String version;

    /**
     * Creates a instance of  version command mojo.
     */
    public VersionCommandMojo() {
    }

    /**
     * {@inheritDoc}
     */
    @Override
    VersionCommand createCommandClass() {
        return new VersionCommand(repository, environment, force);
    }
    
    /**
     * {@inheritDoc}
     */
    @Override
    public void execute() throws MojoExecutionException, MojoFailureException {
        if (isSkip()) {
            return;
        }

        init();
        getCommand().execute(this.version);
    }

}
